@import url(https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght,GRAD@0,17..18,400..700,100;1,17..18,400..700,100&display=swap);
.ccm-mesch-ai-butler-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 5000 !important;
}
.ccm-mesch-ai-butler-modal .ccm-mesch-ai-butler-modal-dialog {
  display: flex;
  flex-direction: column;
  width: 600px;
  max-width: 100%;
  box-shadow: 0 2px 4px 2px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  background-color: white;
  font-family: sans-serif;
  overflow: auto;
  opacity: 1;
}
.ccm-mesch-ai-butler-modal .ccm-mesch-ai-butler-modal-content {
  gap: 44px;
}
.ccm-mesch-ai-butler-modal .ccm-mesch-ai-butler-modal-header {
  padding: 10px 22px;
  background-color: #4a90e2;
  color: white;
  border-bottom: 1px solid #ddd;
  font-size: 1.25rem;
  font-weight: 600;
  cursor: default;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}
.ccm-mesch-ai-butler-modal .ccm-mesch-ai-butler-modal-title {
  color: white;
  margin-bottom: 7px;
  font-size: 1.5rem;
  font-weight: 400;
  line-height: 1.25em;
}
.ccm-mesch-ai-butler-modal .ccm-mesch-ai-butler-modal-body {
  display: flex;
  flex-direction: column;
  padding: 1.8rem;
  color: black;
  gap: 20px;
}
.ccm-mesch-ai-butler-modal .preview-ai-response-text {
  max-height: 200px;
  overflow: scroll;
}
.ccm-mesch-ai-butler-modal .ccm-mesch-ai-butler-modal-footer {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 25px;
  border-top: 0 solid #ddd;
  background-color: #f6f6f6;
  flex-wrap: wrap;
}
.ccm-mesch-ai-butler-modal .btn-secondary {
  background-color: white;
  color: black;
  border-color: #e9ecef;
  font-size: 14px;
}
.ccm-mesch-ai-butler-modal .btn-secondary:hover {
  background-color: #7c8088;
}
.ccm-mesch-ai-butler-modal .btn-primary {
  background-color: #4a90e2;
  color: white;
  border: none;
  font-size: 14px;
}
.ccm-mesch-ai-butler-modal .btn-primary:hover {
  background-color: #2276d7;
}
.ccm-mesch-ai-butler-modal .btn-close {
  margin-right: 5px;
  border: none;
}

.mesch-ai-butler-toolbar-button {
  background-image: url("/packages/mesch_ai_butler/images/star.png");
  background-color: #f7f7f7;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10000;
  cursor: pointer;
  height: 48px;
  width: 59px;
  transition: box-shadow 0.2s ease-in-out;
}
.mesch-ai-butler-toolbar-button:hover {
  box-shadow: inset 0 0 0 2px rgb(74, 144, 226);
  transition: box-shadow 0.2s ease-in-out;
}

.mesch-ai-butler-toolbar-button-active {
  box-shadow: inset 0 0 0 2px rgb(74, 144, 226);
}

#mesch-ai-butler-chat-root {
  color: black;
  position: fixed;
  height: 600px;
  width: 500px;
  bottom: 30px;
  left: 30px;
  z-index: 100000000000;
  box-shadow: 0 2px 4px 2px rgba(0, 0, 0, 0.2);
  border: 1px solid #4a90e2;
  background-color: white;
  font-family: "Google Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  resize: both;
  overflow: auto;
  min-width: 400px;
  min-height: 500px;
  max-width: calc(100vw - 20px);
  max-height: calc(100vh - 20px);
}

.mesch-chat-window {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  height: 100%;
  min-width: 350px;
  min-height: 450px;
}
.mesch-chat-window .chat-window-header .chat-window-header-top {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 15px 12px;
  background-color: #4a90e2;
}
.mesch-chat-window .chat-window-header .chat-window-header-top .chat-window-header-title {
  color: white;
  font-size: 1.25rem;
}
.mesch-chat-window .chat-window-header .chat-window-header-loading-indicator {
  height: 3px;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  overflow: hidden;
  pointer-events: none;
}
.mesch-chat-window .chat-window-header .chat-window-header-loading-indicator.chat-window-header-loading-indicator-fade-out .chat-window-header-loading-indicator-loader {
  opacity: 0;
}
.mesch-chat-window .chat-window-header .chat-window-header-loading-indicator .chat-window-header-loading-indicator-loader {
  height: 100%;
  transition: opacity 0.3s;
}
.mesch-chat-window .chat-window-header .chat-window-header-loading-indicator .chat-window-header-loading-indicator-loader:after {
  content: "";
  display: block;
  width: 55%;
  height: 100%;
  background: linear-gradient(90deg, #ffffff, #0006ff, #0006ff, #ffffff);
  transform: translateX(-100%);
  animation: loader-move 1s cubic-bezier(0.4, 0, 0.2, 1) infinite;
  will-change: transform;
}
@keyframes loader-move {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(185%);
  }
}
.mesch-chat-window .close-button {
  background-image: url(/packages/mesch_ai_butler/images/cross.png);
  border: none;
  background-color: transparent;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  position: relative;
  z-index: 1000000000;
  cursor: pointer;
  height: 25px;
  filter: invert(1) brightness(100%);
  opacity: 0.8;
  display: block;
  width: 25px;
  flex-shrink: 0;
}
.mesch-chat-window .close-button:hover {
  opacity: 1;
}
.mesch-chat-window .chat-window-footer {
  display: flex;
  flex-direction: column;
  padding: 6px 12px 12px;
  background-color: white;
  margin-top: auto;
  gap: 6px;
}
.mesch-chat-window .chat-window-message-input {
  display: flex;
  flex-direction: row;
  gap: 7px;
}
.mesch-chat-window .chat-window-input {
  width: 355px;
  border: 1px solid #dedede;
  border-radius: 5px;
  flex-grow: 1;
  outline-color: #4a90e2;
  padding: 5px;
  font-size: 15px;
}
.mesch-chat-window .chat-window-input-button {
  border: none;
  border-radius: 5px;
  flex-shrink: 0;
  padding-top: 6px;
  padding-bottom: 6px;
  line-height: 1;
}
.mesch-chat-window .chat-window-input-button.chat-window-input-button-local-file-upload {
  background-color: #799ed7;
  padding-left: 6px;
  padding-right: 6px;
}
.mesch-chat-window .chat-window-input-button.chat-window-input-button-local-file-upload img {
  width: 26px;
  filter: invert(1) brightness(100%);
}
.mesch-chat-window .chat-window-input-button.chat-window-input-button-send {
  background-color: #31b036;
  padding-left: 9px;
  padding-right: 9px;
}
.mesch-chat-window .chat-window-input-button.chat-window-input-button-send img {
  width: 16px;
  filter: invert(1) brightness(100%);
}
.mesch-chat-window .chat-window-input-button img {
  height: auto;
}
.mesch-chat-window .chat-window-tools {
  display: flex;
  gap: 4px 7px;
  flex-wrap: wrap;
  border-top: 1px solid rgba(136, 136, 136, 0.4);
  padding-top: 8px;
}
.mesch-chat-window .chat-window-tool-btn {
  border: 1px solid #d8d8d8;
  font-size: 14px;
  padding: 2px 10px;
  border-radius: 100px;
  background-color: #f2f1f1;
  display: flex;
  align-items: center;
  line-height: 1;
  gap: 4px;
  white-space: nowrap;
  font-variation-settings: "GRAD" 100;
}
.mesch-chat-window .chat-window-tool-btn img {
  width: 13px;
  height: auto;
  position: relative;
  top: 0px;
  right: -2px;
  pointer-events: none;
}
.mesch-chat-window .chat-window-tool-btn.btn-select-ckeditor-instance {
  background-color: #fff3dd;
  border-color: #ffc354;
}
.mesch-chat-window .chat-window-tool-btn.btn-select-file-manager-file {
  background-color: #eaefff;
  border-color: #c0ccff;
}
.mesch-chat-window .chat-window-tool-btn.btn-select-sitemap-page {
  background-color: #ffeef5;
  border-color: #ffc5cf;
}
.mesch-chat-window .chat-window-body {
  padding: 20px 12px;
  flex: 1 1 auto;
  min-height: 0;
  overflow-y: auto;
}
.mesch-chat-window .chat-window-message-entry.chat-window-user-message {
  background-color: #f3f3f3;
  padding: 12px 16px;
  border-radius: 19px;
  max-width: 80%;
  margin-left: auto;
  margin-top: 25px;
  margin-bottom: 25px;
}
.mesch-chat-window .chat-window-message-entry.chat-window-ai-message {
  margin-top: 18px;
  margin-bottom: 18px;
}
.mesch-chat-window .chat-window-message-container {
  font-size: 16px;
  color: black;
  overflow-y: auto;
}

.ai-butler-editor-highlighted-wrapper {
  position: relative !important;
}
.ai-butler-editor-highlighted-wrapper .ai-butler-editor-highlighted-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 212, 0, 0.4);
  z-index: 1000000000;
  cursor: pointer;
}
.ai-butler-editor-highlighted-wrapper .ai-butler-editor-highlighted-overlay:hover {
  background-color: rgba(255, 212, 0, 0.6);
}
.ai-butler-editor-highlighted-wrapper .ai-butler-editor-highlighted-overlay.ai-butler-editor-selected {
  background-color: rgba(212, 255, 239, 0.37);
  box-shadow: inset 0 0 0 6px rgba(71, 255, 187, 0.5411764706);
  z-index: -1000000000;
}

.chat-window-context-section {
  padding: 10px;
  border-radius: 12px;
  box-shadow: 0 0 5px #b5c1cf;
  margin-bottom: 6px;
}
.chat-window-context-section .chat-window-context-section-title {
  font-size: 12px;
  color: black;
  margin-bottom: 2px;
  font-weight: bold;
}
.chat-window-context-section .context-item {
  font-size: 13px;
  background-color: #e9e9e9;
  padding: 4px 7px 2px;
  border-radius: 100px;
  display: flex;
  align-items: start;
  gap: 6px;
  line-height: 1.1;
  border: 1px solid;
}
.chat-window-context-section .context-item.context-ckeditor {
  background-color: #fff3dd;
  border-color: #ffc354;
}
.chat-window-context-section .context-item .btn-context-item-remove {
  background-image: url(/packages/mesch_ai_butler/images/close.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-color: transparent;
  border: none;
  padding: 0;
  width: 12px;
  height: 12px;
  flex-shrink: 0;
}
.chat-window-context-section .context-item span {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.chat-window-message-context {
  padding-top: 10px;
}

.btn-ckeditor-context-open-content {
  font-size: 14px;
  border-radius: 100px;
  background-color: #fff3dd;
  border: solid 1px #ffc354;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  margin: 10px 0;
  max-width: 190px;
}
.btn-ckeditor-context-open-content:hover {
  background-color: #ffe9c2;
}

.chat-window-message-context-dropdown {
  display: none;
}
.chat-window-message-context-dropdown.show {
  display: block;
  position: static;
  border: none;
  border-radius: 5px;
  padding: 10px;
  background-color: white;
}

.chat-window-message-ckeditor-context-content {
  font-size: 14px;
  color: black;
  overflow-y: auto;
  max-height: 200px;
}
.chat-window-message-ckeditor-context-content h1 {
  font-size: 14px;
}

.chat-window-header-bottom {
  padding: 7px 15px;
  margin-bottom: 20px;
  background: #fafafa;
  border-bottom: 1px solid rgba(136, 136, 136, 0.4);
}

.chat-window-configurations {
  display: flex;
  gap: 12px 20px;
  flex-wrap: wrap;
  font-size: 15px;
}

.chat-window-model-selection,
.chat-window-temperature-selection {
  display: flex;
  gap: 10px;
  align-items: center;
  min-width: 0;
}

.chat-window-temperature-selection input[type=range] {
  width: 100%;
  min-width: 0;
  max-width: 180px;
}
.chat-window-temperature-selection label {
  width: 100%;
}
.chat-window-temperature-selection span {
  width: 27px;
  display: inline-block;
  text-align: center;
}

.chat-window-message-actions {
  display: flex;
  gap: 4px 7px;
  flex-wrap: wrap;
  padding-top: 8px;
}

.chat-window-action-btn {
  border: 1px solid #d8d8d8;
  font-size: 14px;
  padding: 2px 8px;
  border-radius: 100px;
  background-color: #f2f1f1;
  display: flex;
  align-items: center;
  line-height: 1;
  gap: 4px;
  white-space: nowrap;
  font-variation-settings: "GRAD" 100;
}
.chat-window-action-btn img {
  width: 13px;
  height: auto;
  position: relative;
  top: 0;
  right: -2px;
  pointer-events: none;
}
